vitrage-graph error on Train

asked 2020-02-06 11:45:00 -0500

Hey guys, newbie here. I'm trying to develop a few modules to Vitrage and as such I installed Openstack Train Minimal Deployment on 2 VM's (controller and compute1) both on Ubuntu Server LTS 18.04. The only optional requirement I also installed was Horizon. Everything was overall smooth until I tried to install Vitrage. Installed it via pip (even though I've tried several ways so far). I've been stuck for a few days with the following error when I run the command

vitrage-graph

Both 'vitrage-api' and 'vitrage-notifier' work properly.

I've attached the error I face when running 'vitrage-graph' and my vitrage.conf file.

Thanks in advance!

EDIT: I can't seem to be able to upload files and it's kind of a extensive log here goes a https://pastebin.com/UtHRYduU (link contaning the log file) and one containing the https://pastebin.com/EmELPs5W (vitrage.conf)

edit retag flag offensive close merge delete